#!/usr/bin/python

import datetime
import os
import sys

sys.path.insert(0, os.path.dirname(__file__))
import icommon

conn = icommon.get_sqlite_connection(icommon.sqlite_file)
c = conn.cursor()
try:
    #c.execute('alter table %s add column last_failed timestamp'
    #        % icommon.StatusDatabase.OLD_FAILURES_TABLE)
    rows = c.execute('select * from %s'
            % icommon.StatusDatabase.OLD_FAILURES_TABLE).fetchall()
    now = datetime.datetime.utcnow()
    for row in rows:
        c.execute('update %s set package=?, reason=?, last_failed=?, '
                'failure_count=? where package=?'
                % icommon.StatusDatabase.OLD_FAILURES_TABLE,
                (row[0], row[1], now, 1, row[0]))
    conn.commit()
except:
    conn.rollback()
    raise
